Skip to main content
GET
/
v1
/
webhooks
List Webhook Registrations
curl --request GET \
  --url https://plugin-br-bank-transfer.sandbox.lerian.net/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Operations webhook",
      "endpointUrl": "https://hooks.example.com/transfer-events",
      "enabled": true,
      "eventTypes": [
        "transfer.completed"
      ],
      "createdAt": "2026-02-01T15:30:00Z",
      "updatedAt": "2026-02-01T15:30:00Z"
    }
  ],
  "pagination": {
    "limit": 50,
    "offset": 0,
    "returned": 1,
    "hasNextPage": false
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. The tenantId is derived from the bearer token or authenticated request context and is not supplied through X-Organization-Id.

Query Parameters

limit
integer
default:50

Maximum number of registrations to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Number of registrations to skip for pagination.

Required range: x >= 0
enabled
boolean

When true, returns only enabled registrations.

Response

Indicates that the matching webhook registrations are returned.

items
object[]
required
pagination
object
required